Subject: Confirmation of HTTPS use for the port 832

From: OKITA Hideki <[email-masked]>
Date: Wed, 19 Jul 2006 22:50:56 +0900 (JST)

Dear all,

At the Montreal meeting, IANA-assigned ports are reported as following.

    netconf-ssh     830/tcp    NETCONF over SSH
    netconf-beep    831/tcp    NETCONF over BEEP 
    netconfsoaphttp 832/tcp    NETCONF for SOAP over HTTP
    netconfsoapbeep 833/tcp    NETCONF for SOAP over BEEP

I would like to confirm the following points.

- We use HTTPS rather than HTTP as the transport of NETCONF/SOAP/HTTP.
  (In ML, the word "SOAP/HTTPS" is always used.)

- We use same port 832 for HTTP, when there is some reason to use HTTP.

I concern that proto-12 and soap-08 draft are ambiguous about these points.
It seems that there is no sentence definitely specifying the use of HTTPS.
# Section 2.4 of soap-08 says "Use HTTPS" only.

To clarify the use of HTTPS, I suggest

1. to ask IANA to change the description of assigned port
   of NETCONF/SOAP/HTTP as following, if possible.

    netconfsoaphttps 832/tcp    NETCONF for SOAP over HTTPS
    netconfsoaphttps 832/udp    NETCONF for SOAP over HTTPS

2. to add the following sentence in the last of section 2.4 "BCP56:..."
   of soap-08 draft to avoid the anbiguity.

    "As these reasons, NETCONF system SHOULD use HTTPS
     when it use SOAP and HTTP as the transport."

   And, how about the following sentence in the last of section 4?

    "If there is some reason to use HTTP rather than HTTPS,
     the opeartor configures the NETCONF manager and devices
     to use HTTP on the IANA-assined port (832) for theier session"

Regards,

Hideki Okita
[email-masked]
Central Research Laboratory, Hitachi Ltd.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 19 Jul 2006 09:35:23 -0700

Hi,

A suggestion - use HTTP TLS Upgrade (RFC 2817) to allow
both plain HTTP and HTTP w/ TLS use over the same port,
as is the case with IPP/1.1 (RFC 2910/2911).

Trying to use HTTPS (where the TLS/SSL session starts
_before_ the first application message) and HTTP on the
same port is going to be hard to make interoperable.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of OKITA Hideki
> Sent: Wednesday, July 19, 2006 9:51 AM
> To: [email-masked]
> Subject: Confirmation of HTTPS use for the port 832
> 
> 
> Dear all,
> 
> 

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.394 / Virus Database: 268.10.1/391 - Release Date: 7/18/2006